org.springframework.batch.sample.domain.trade.internal

## Class CustomerCreditFieldSetMapper

- java.lang.Object
- - org.springframework.batch.sample.domain.trade.internal.CustomerCreditFieldSetMapper

- All Implemented Interfaces:
    FieldSetMapper<CustomerCredit>

      public class CustomerCreditFieldSetMapper
      extends java.lang.Object
      implements FieldSetMapper<CustomerCredit>

  Since:
    2.0
  Author:
    Dan Garrette

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CREDIT_COLUMN`
    `static int` | `ID_COLUMN`
    `static int` | `NAME_COLUMN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomerCreditFieldSetMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomerCredit` | `mapFieldSet(FieldSet fieldSet)` Method used to map data obtained from a `FieldSet` into an object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID_COLUMN

          public static final int ID_COLUMN

      See Also:
        Constant Field Values

    - #### NAME_COLUMN

          public static final int NAME_COLUMN

      See Also:
        Constant Field Values

    - #### CREDIT_COLUMN

          public static final int CREDIT_COLUMN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CustomerCreditFieldSetMapper

          public CustomerCreditFieldSetMapper()

  - ### Method Detail

    - #### mapFieldSet

          public CustomerCredit mapFieldSet(FieldSet fieldSet)

      Description copied from interface: `FieldSetMapper`
      Method used to map data obtained from a `FieldSet` into an object.
      Specified by:
        `mapFieldSet` in interface `FieldSetMapper<CustomerCredit>`
      Parameters:
        `fieldSet` - the `FieldSet` to map